Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionAccountDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceSessionAccount>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionAccountLogDao
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionAccountDao

All Implemented Interfaces:
  `AutoCloseable`

public class VoiceSessionAccountDao extends VoiceSessionAccountLogDao

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_VOICE_SESSION_ACCOUNT`

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionAccountLogDao

  `TABLE_VOICE_SESSION_ACCOUNT_LOG`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionAccountDao(Connection con, int moduleId)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionAccountLogDao

  `checkTables, deleteAccounts, deleteAccounts, getFromRS, insertAccount, list, updateAccount, updateAccountInternal, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_VOICE_SESSION_ACCOUNT

    public static final String TABLE_VOICE_SESSION_ACCOUNT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceSessionAccountDao

    public VoiceSessionAccountDao(Connection con, int moduleId)